## r-cran-transformr 0.1.4

=== DESCRIPTION ===
Package: transformr
Type: Package
Title: Polygon and Path Transformations
Version: 0.1.4
Authors@R: 
    person(given = "Thomas Lin",
           family = "Pedersen",
           role = c("cre", "aut"),
           email = "thomasp85@gmail.com",
           comment = c(ORCID = "0000-0002-5147-4711"))
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: In order to smoothly animate the transformation of polygons and 
    paths, many aspects needs to be taken into account, such as differing number 
    of control points, changing center of rotation, etc. The 'transformr' 
    package provides an extensive framework for manipulating the shapes of 
    polygons and paths and can be seen as the spatial brother to the 'tweenr' 
    package.
License: MIT + file LICENSE
Encoding: UTF-8
SystemRequirements: C++11
Imports: tweenr, rlang, sf, lpSolve, vctrs
Suggests: covr, magrittr
LinkingTo: cpp11
RoxygenNote: 7.2.1
URL: https://github.com/thomasp85/transformr
BugReports: https://github.com/thomasp85/transformr/issues
NeedsCompilation: yes
Packaged: 2022-08-18 11:11:09 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut]
    (<https://orcid.org/0000-0002-5147-4711>)
Repository: CRAN
Date/Publication: 2022-08-18 11:30:02 UTC

## r-cran-transformr 0.1.1

=== debian/changelog ===
r-cran-transformr (0.1.1-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 31 May 2020 05:56:10 +0000

r-cran-transformr (0.1.1-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 09 Apr 2020 16:09:00 +0200

r-cran-transformr (0.1.1-1) unstable; urgency=medium

  * Initial release (closes: #956056)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Apr 2020 08:46:28 +0200

=== debian/control ===
Source: r-cran-transformr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.12.15),
               r-cran-tweenr,
               r-cran-rlang,
               r-cran-sf,
               r-cran-lpsolve
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-transformr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-transformr.git
Homepage: https://cran.r-project.org/package=transformr
Rules-Requires-Root: no

Package: r-cran-transformr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R polygon and path transformations
 In order to smoothly animate the transformation of polygons and
 paths, many aspects needs to be taken into account, such as differing number
 of control points, changing center of rotation, etc. The 'transformr'
 package provides an extensive framework for manipulating the shapes of
 polygons and paths and can be seen as the spatial brother to the 'tweenr'
 package.

## r-cran-transformr 0.1.3

=== debian/changelog ===
r-cran-transformr (0.1.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 14:38:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.12.15),

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/transformr_([-\d.]*)\.tar\.gz

## r-cran-transformr 0.1.4

=== debian/changelog ===
r-cran-transformr (0.1.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 14:47:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: r-cran-transformr
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-transformr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-transformr.git
+Homepage: https://cran.r-project.org/package=transformr
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.12.15),
                r-cran-tweenr,
                r-cran-rlang,
                r-cran-sf,
-               r-cran-lpsolve
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-transformr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-transformr.git
-Homepage: https://cran.r-project.org/package=transformr
-Rules-Requires-Root: no
+               r-cran-lpsolve,
+               r-cran-vctrs,
+               r-cran-cpp11
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-transformr
 Architecture: any

## r-cran-transformr 0.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: transformr
 Type: Package
 Title: Polygon and Path Transformations
-Version: 0.1.4
+Version: 0.1.5
 Authors@R: 
     person(given = "Thomas Lin",
            family = "Pedersen",
@@ -17,16 +17,15 @@
     package.
 License: MIT + file LICENSE
 Encoding: UTF-8
-SystemRequirements: C++11
 Imports: tweenr, rlang, sf, lpSolve, vctrs
 Suggests: covr, magrittr
 LinkingTo: cpp11
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.1
 URL: https://github.com/thomasp85/transformr
 BugReports: https://github.com/thomasp85/transformr/issues
 NeedsCompilation: yes
-Packaged: 2022-08-18 11:11:09 UTC; thomas
+Packaged: 2024-02-26 13:46:42 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>)
 Repository: CRAN
-Date/Publication: 2022-08-18 11:30:02 UTC
+Date/Publication: 2024-02-26 14:30:02 UTC

=== debian/changelog ===
r-cran-transformr (0.1.5-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Disable reprotest

  [ Charles Plessy ]
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 17 Jun 2024 10:37:30 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-transformr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-transformr.git
 Homepage: https://cran.r-project.org/package=transformr
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
